﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[RMFiles]') AND name = N'UK_FileID')
BEGIN 
PRINT 'Creating index UK_FileID on table RMFiles'
CREATE UNIQUE NONCLUSTERED INDEX [UK_FileID] ON [dbo].[RMFiles] 
(
	[CompanyID] ASC,
	[FileID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RMFiles' AND COLUMN_NAME = 'CompanyID' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RMFiles_CompanyID')
BEGIN 
    PRINT 'Creating default constraint DF_RMFiles_CompanyID on table RMFiles' 
    ALTER TABLE [dbo].[RMFiles]
    ADD CONSTRAINT [DF_RMFiles_CompanyID] DEFAULT ((0)) FOR [CompanyID]
END 
GO

